summaryrefslogtreecommitdiff
path: root/grp
diff options
context:
space:
mode:
authorDmitry V. Levin <ldv@altlinux.org>2012-09-24 20:52:13 +0000
committerDmitry V. Levin <ldv@altlinux.org>2012-09-25 02:48:31 +0000
commit57c69bef13298a3fbcedebf4c5fcecc690b75efb (patch)
tree9cc9d909afcb9e8b6c23697bdb48901e80d7addb /grp
parent9a9028b1fe1519262fcbf0b7ede708d4ebbffbd7 (diff)
Set "fail on error" mode directly in testsuite shell scripts
Diffstat (limited to 'grp')
-rw-r--r--grp/Makefile2
-rw-r--r--grp/tst_fgetgrent.sh5
2 files changed, 4 insertions, 3 deletions
diff --git a/grp/Makefile b/grp/Makefile
index ca620603f2..8cb99c1505 100644
--- a/grp/Makefile
+++ b/grp/Makefile
@@ -55,7 +55,7 @@ ifeq (no,$(cross-compiling))
ifeq (yes,$(build-shared))
tests: $(objpfx)tst_fgetgrent.out
$(objpfx)tst_fgetgrent.out: tst_fgetgrent.sh $(objpfx)tst_fgetgrent
- $(SHELL) -e tst_fgetgrent.sh $(common-objpfx) $(elf-objpfx) \
+ $(SHELL) $< $(common-objpfx) $(elf-objpfx) \
$(rtld-installed-name)
endif
diff --git a/grp/tst_fgetgrent.sh b/grp/tst_fgetgrent.sh
index cb80e73ded..7e69815ca1 100644
--- a/grp/tst_fgetgrent.sh
+++ b/grp/tst_fgetgrent.sh
@@ -1,8 +1,7 @@
#! /bin/sh
-# Copyright (C) 1999 Free Software Foundation, Inc.
+# Copyright (C) 1999-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# Contributed by Andreas Jaeger <aj@arthur.rhein-neckar.de>, 1999.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1; shift
elf_objpfx=$1; shift
rtld_installed_name=$1; shift